<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <link rel="icon" href="<%= BASE_URL %>favicon.ico">
    <title><%= htmlWebpackPlugin.options.title %></title>
    <div id="ieDisplay" style="
          display: none;
          text-align: center;
          height: 100%;
          font-family: Arial, Helvetica, sans-serif;
          margin: auto;
          width: 50%;
          padding: 100px;
        ">
      <div>
        <%= htmlWebpackPlugin.options.title %> is incompatible with Internet Explorer.
          <br>
          <br>
          Please select another browser to open <%= htmlWebpackPlugin.options.title %>.
      </div>
      <br>
      <div style="padding-top: 5px;">
        <button onclick="openInChrome()" class="browser-buttons" style="width: 100px;">Chrome</button>
        <span style="padding-left: 50px;"/>
        <button onclick="openInEdge()" class="browser-buttons" style="width: 100px;">Edge</button>
      </div>
    </div>
    <div
    id="ieDisplay"
    style="
      display: none;
      text-align: center;
      height: 100%;
      font-family: Arial, Helvetica, sans-serif;
      margin: auto;
      width: 50%;
      padding: 100px;
    ">
      <div>
        <%= htmlWebpackPlugin.options.title %> is incompatible with Internet Explorer.
        <!-- <div style="margin-bottom: 15px;"></div> -->
        <br>
        <br>
        Please select another browser to open <%= htmlWebpackPlugin.options.title %>.
      </div>
      <!-- <div style="margin-bottom: 15px;" /> -->
      <br>
      <div>
        <button
          onclick="openInChrome()"
          class="browser-buttons"
        >Chrome</button>
        <button
          onclick="openInEdge()"
          class="browser-buttons"
        >Edge</button>
      </div>
    </div>
  </head>
  <body>
    <script>
      function openInChrome() {
        var shell = new ActiveXObject("WScript.shell");
        shell.run("Chrome " + window.location.href);
        // window.close();
      };
      function openInEdge() {
        var shell = new ActiveXObject("WScript.shell");
        shell.run("microsoft-edge:" + window.location.href);
        // window.close();
      };
      function isChrome() {
        // please note,
        // that IE11 now returns undefined again for window.chrome
        // and new Opera 30 outputs true for window.chrome
        // but needs to check if window.opr is not undefined
        // and new IE Edge outputs to true now for window.chrome
        // and if not iOS Chrome check
        // so use the below updated condition
        var isChromium = window.chrome;
        var winNav = window.navigator;
        var vendorName = winNav.vendor;
        var isOpera = typeof window.opr !== 'undefined';
        var isIEedge = winNav.userAgent.indexOf('Edge') > -1;
        var isIOSChrome = winNav.userAgent.match('CriOS');

        if (isIOSChrome) {
          return true;
        }
        if (
          isChromium !== null
          && typeof isChromium !== 'undefined'
          && vendorName === 'Google Inc.'
          && isOpera === false
          && isIEedge === false
        ) {
          return true;
        }
        return false;
      };
      if (!isChrome()) {
        document.getElementById('ieDisplay').style.display = 'block';
        // alert('Opening in Chrome...');

        // alert('Please use Google Chrome for a better experience.');
        // openInChrome();
      }
    </script>
    <noscript>
      <strong>We're sorry but <%= htmlWebpackPlugin.options.title %> doesn't work properly without JavaScript enabled. Please enable it to continue.</strong>
    </noscript>
    <div id="app"></div>
    <!-- built files will be auto injected -->
  </body>
</html>
